summaryrefslogtreecommitdiff
path: root/media-video
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-08-13 11:50:54 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-08-13 11:50:54 +0100
commitbae0bf3db1fff7b94e55d0d7808f8bacde181fb9 (patch)
tree871efe68e3ffd61a011660373ab2f87e2bb6b777 /media-video
parenta35d73564c2e3e5065533ad8dbf31498d16af0eb (diff)
media-video/shotcut : import from gentoo, version bump
Diffstat (limited to 'media-video')
-rw-r--r--media-video/shotcut/Manifest1
-rw-r--r--media-video/shotcut/shotcut-18.08.11.ebuild67
2 files changed, 68 insertions, 0 deletions
diff --git a/media-video/shotcut/Manifest b/media-video/shotcut/Manifest
new file mode 100644
index 00000000..d18755eb
--- /dev/null
+++ b/media-video/shotcut/Manifest
@@ -0,0 +1 @@
+DIST shotcut-18.08.11.tar.gz 4197641 BLAKE2B 97303d9d6e703244a4ff0f382a62230a5db5513a98329a59d54f3b1a0dbd202948c32b8c6920981763e71d65b6932b4c1c74fed421c085fe95f4a822a2b2b8fc SHA512 25afdfe78c3fcab056d97de67c010225efd49fe4b679b88b23e3fad58cfafe657700a27a83446a776d5308d17c62cee47d96ede56554f1a3921b4b7ffaf590dd
diff --git a/media-video/shotcut/shotcut-18.08.11.ebuild b/media-video/shotcut/shotcut-18.08.11.ebuild
new file mode 100644
index 00000000..52af890d
--- /dev/null
+++ b/media-video/shotcut/shotcut-18.08.11.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit desktop qmake-utils
+
+DESCRIPTION="A free, open source, cross-platform video editor"
+HOMEPAGE="https://www.shotcut.org/"
+SRC_URI="https://github.com/mltframework/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+KEYWORDS="~amd64 ~x86"
+LICENSE="GPL-3"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+ dev-qt/qtcore:5
+ dev-qt/qtdeclarative:5
+ dev-qt/qtgraphicaleffects:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtopengl:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtquickcontrols:5[widgets]
+ dev-qt/qtsql:5
+ dev-qt/qtwebkit:5
+ dev-qt/qtwebsockets:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ media-libs/ladspa-sdk
+ media-libs/libsdl:0
+ media-libs/libvpx
+ >=media-libs/mlt-6.6.0[ffmpeg,frei0r,qt5,sdl2,xml]
+ media-libs/x264
+ media-plugins/frei0r-plugins
+ media-sound/lame
+ media-video/ffmpeg
+ virtual/jack
+"
+DEPEND="${RDEPEND}
+ dev-qt/linguist-tools:5
+"
+
+src_prepare() {
+ local mylrelease="$(qt5_get_bindir)/lrelease"
+ "${mylrelease}" "${S}/src/src.pro" || die "preparing locales failed"
+
+ default
+}
+
+src_configure() {
+ eqmake5 PREFIX="${EPREFIX}/usr"
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+
+ newicon "${S}/icons/shotcut-logo-64.png" "${PN}.png"
+ make_desktop_entry shotcut "Shotcut"
+
+ insinto "/usr/share/${PN}/translations"
+ doins translations/*.qm
+
+ einstalldocs
+}